<?php
/***********************************************
 * File      :   debug.php
 * Project   :   Z-Push
 * Descr     :   Debuging functions
 *
 * Created   :   01.10.2007
 *
 * � Zarafa Deutschland GmbH, www.zarafaserver.de
 * This file is distributed under GPL v2.
 * Consult LICENSE file for details
 ************************************************/

global $debugstr;

function debug($str) {
	global $debugstr;
	$debugstr .= "$str\n";
}

function getDebugInfo() {
	global $debugstr;

	return $debugstr;
}

function debugLog($message) {
	global $auth_user;
	$user = (isset($auth_user))?"[". $auth_user ."] ":"";
	@$fp = fopen(BASE_PATH . "/debug.txt","a");
	@$date = strftime("%x %X");
	@fwrite($fp, "$date [". getmypid() ."] ". $user . "$message\n");
	@fclose($fp);
	if (TRACE_UID !== false and $auth_user == TRACE_UID) {
		@$fp_trace = fopen(BASE_PATH . "/trace-".$auth_user.".txt","a+");
		@fwrite($fp_trace, "$date [". getmypid() ."] ". $user . "$message\n");
		@fclose($fp_trace);
	}
}

function traceLog($message) {
	global $auth_user;
	$user = (isset($auth_user))?"[". $auth_user ."] ":"";
	@$date = strftime("%x %X");
	if ($auth_user == TRACE_UID) {
		@$fp_trace = fopen(BASE_PATH . "/trace-".$auth_user.".txt","a+");
		@fwrite($fp_trace, "$date [". getmypid() ."] ". $user . "[TRACE] $message\n");
		@fclose($fp_trace);
	}
}

function zarafa_error_handler($errno, $errstr, $errfile, $errline, $errcontext) {
	debugLog("$errfile:$errline $errstr ($errno)");
}

error_reporting(E_ALL);
set_error_handler("zarafa_error_handler");

?>